Activity log for bug #1908323

Date Who What changed Old value New value Message
2020-12-15 22:04:11 Kamal Mostafa bug added bug
2020-12-15 22:04:13 Kamal Mostafa linux (Ubuntu): status New Confirmed
2020-12-15 22:04:14 Kamal Mostafa tags kernel-stable-tracking-bug
2020-12-15 22:04:16 Kamal Mostafa bug added subscriber SRU Verification
2020-12-15 22:04:18 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2020-12-15 22:04:22 Kamal Mostafa nominated for series Ubuntu Groovy
2020-12-15 22:04:25 Kamal Mostafa bug task added linux (Ubuntu Groovy)
2020-12-15 22:05:04 Kamal Mostafa linux (Ubuntu Groovy): status New In Progress
2020-12-15 22:05:07 Kamal Mostafa linux (Ubuntu Groovy): assignee Kamal Mostafa (kamalmostafa)
2020-12-15 22:08:57 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The following upstream stable patches should be included in the Ubuntu kernel: upstream stable patchset 2020-12-15 from git://git.kernel.org/ SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The following upstream        stable patches should be included in the Ubuntu kernel:        upstream stable patchset 2020-12-15 Ported from the following upstream stable releases: v5.9.6, v5.4.76, v5.9.7, v5.4.77, v5.9.8        from git://git.kernel.org/ UBUNTU: upstream stable to v5.9.6 tipc: fix use-after-free in tipc_bcast_get_mode drm/i915/gem: Avoid implicit vmap for highmem on x86-32 drm/i915/gem: Prevent using pgprot_writecombine() if PAT is not supported drm/i915/gem: Always test execution status on closing the context drm/i915/gt: Always send a pulse down the engine after disabling heartbeat drm/i915: Break up error capture compression loops with cond_resched() drm/i915: Cancel outstanding work after disabling heartbeats on an engine drm/i915: Avoid mixing integer types during batch copies drm/i915/gt: Initialize reserved and unspecified MOCS indices drm/i915/gt: Undo forced context restores after trivial preemptions drm/i915: Drop runtime-pm assert from vgpu io accessors drm/i915: Exclude low pages (128KiB) of stolen from use drm/i915: Use the active reference on the vma while capturing drm/i915: Reject 90/270 degree rotated initial fbs drm/i915: Restore ILK-M RPS support drm/nouveau/device: fix changing endianess code to work on older GPUs ptrace: fix task_join_group_stop() for the case when current is traced cadence: force nonlinear buffers to be cloned chelsio/chtls: fix memory leaks caused by a race chelsio/chtls: fix always leaking ctrl_skb dpaa_eth: update the buffer layout for non-A050385 erratum scenarios dpaa_eth: fix the RX headroom size alignment gianfar: Replace skb_realloc_headroom with skb_cow_head for PTP gianfar: Account for Tx PTP timestamp in the skb headroom ionic: check port ptr before use ip_tunnel: fix over-mtu packet send fail without TUNNEL_DONT_FRAGMENT flags net: ethernet: ti: cpsw: disable PTPv1 hw timestamping advertisement net: usb: qmi_wwan: add Telit LE910Cx 0x1230 composition powerpc/vnic: Extend "failover pending" window sctp: Fix COMM_LOST/CANT_STR_ASSOC err reporting on big-endian platforms sfp: Fix error handing in sfp_probe() ip6_tunnel: set inner ipproto before ip6_tnl_encap net: fec: fix MDIO probing for some FEC hardware blocks r8169: work around short packet hw bug on RTL8125 drm/nouveau/kms/nv50-: Get rid of bogus nouveau_conn_mode_valid() drm/nouveau/kms/nv50-: Fix clock checking algorithm in nv50_dp_mode_valid() Fonts: Replace discarded const qualifier ALSA: hda/realtek - Fixed HP headset Mic can't be detected ALSA: hda/realtek - Enable headphone for ASUS TM420 ALSA: usb-audio: Add implicit feedback quirk for Zoom UAC-2 ALSA: usb-audio: add usb vendor id as DSD-capable for Khadas devices ALSA: usb-audio: Add implicit feedback quirk for Qu-16 ALSA: usb-audio: Add implicit feedback quirk for MODX hugetlb_cgroup: fix reservation accounting mm: mempolicy: fix potential pte_unmap_unlock pte error lib/crc32test: remove extra local_irq_disable/enable kthread_worker: prevent queuing delayed work from timer_fn when it is being canceled mm: always have io_remap_pfn_range() set pgprot_decrypted() perf hists browser: Increase size of 'buf' in perf_evsel__hists_browse() gfs2: Wake up when sd_glock_disposal becomes zero gfs2: Don't call cancel_delayed_work_sync from within delete work function ring-buffer: Fix recursion protection transitions between interrupt context iommu/vt-d: Fix kernel NULL pointer dereference in find_domain() mtd: spi-nor: Don't copy self-pointing struct around ftrace: Fix recursion check for NMI test ftrace: Handle tracing when switching between context regulator: defer probe when trying to get voltage from unresolved supply spi: bcm2835: fix gpio cs level inversion tracing: Fix out of bounds write in get_trace_buf futex: Handle transient "ownerless" rtmutex state correctly x86/lib: Change .weak to SYM_FUNC_START_WEAK for arch/x86/lib/mem*_64.S ARM: dts: sun4i-a10: fix cpu_alert temperature arm64: dts: meson: add missing g12 rng clock arm64: dts: amlogic: meson-g12: use the G12A specific dwmac compatible x86/kexec: Use up-to-dated screen_info copy to fill boot params hyperv_fb: Update screen_info after removing old framebuffer arm64: dts: amlogic: add missing ethernet reset ID io_uring: don't miss setting IO_WQ_WORK_CONCURRENT of: Fix reserved-memory overlap detection ARM: dts: mmp3: Add power domain for the camera drm/sun4i: frontend: Rework a bit the phase data drm/sun4i: frontend: Reuse the ch0 phase for RGB formats drm/sun4i: frontend: Fix the scaler phase on A33 drm/v3d: Fix double free in v3d_submit_cl_ioctl() blk-cgroup: Fix memleak on error path blk-cgroup: Pre-allocate tree node on blkg_conf_prep btrfs: drop the path before adding qgroup items when enabling qgroups btrfs: add a helper to read the tree_root commit root for backref lookup scsi: core: Don't start concurrent async scan on same host drm/amdgpu: disable DCN and VCN for navi10 blockchain SKU(v3) drm/amdgpu: add DID for navi10 blockchain SKU scsi: ibmvscsi: Fix potential race after loss of transport vsock: use ns_capable_noaudit() on socket create nvme-rdma: handle unexpected nvme completion data length nvmet: fix a NULL pointer dereference when tracing the flush command drm/vc4: drv: Add error handding for bind ACPI: NFIT: Fix comparison to '-ENXIO' usb: cdns3: gadget: suspicious implicit sign extension drm/nouveau/nouveau: fix the start/end range for migration drm/nouveau/gem: fix "refcount_t: underflow; use-after-free" arm64/smp: Move rcu_cpu_starting() earlier tty: fix crash in release_tty if tty->port is not set fork: fix copy_process(CLONE_PARENT) race with the exiting ->real_parent s390/mm: make pmd/pud_deref() large page aware s390/pkey: fix paes selftest failure with paes and pkey static build powerpc/8xx: Always fault when _PAGE_ACCESSED is not set powerpc/40x: Always fault when _PAGE_ACCESSED is not set serial: 8250_mtk: Fix uart_get_baud_rate warning serial: txx9: add missing platform_driver_unregister() on error in serial_txx9_init USB: serial: cyberjack: fix write-URB completion race USB: serial: option: add Quectel EC200T module support USB: serial: option: add LE910Cx compositions 0x1203, 0x1230, 0x1231 USB: serial: option: add Telit FN980 composition 0x1055 usb: dwc3: ep0: Fix delay status handling USB: Add NO_LPM quirk for Kingston flash drive usb: mtu3: fix panic in mtu3_gadget_stop() io_uring: fix link lookup racing with link timeout drm/panfrost: Fix a deadlock between the shrinker and madvise path ARC: stack unwinding: avoid indefinite looping PM: runtime: Drop runtime PM references to supplier on link removal PM: runtime: Drop pm_runtime_clean_up_links() PM: runtime: Resume the device earlier in __device_release_driver() drm/i915/gt: Use the local HWSP offset during submission perf/core: Fix a memory leak in perf_event_parse_addr_filter() Revert "coresight: Make sysfs functional on topologies with per core sink" UBUNTU: upstream stable to v5.4.76, v5.9.7 UBUNTU: upstream stable to v5.4.77, v5.9.8
2020-12-16 17:43:33 Ian linux (Ubuntu Groovy): status In Progress Fix Committed
2021-02-23 16:22:36 Launchpad Janitor linux (Ubuntu Groovy): status Fix Committed Fix Released
2021-02-23 16:22:36 Launchpad Janitor cve linked 2020-27777
2021-02-23 16:22:36 Launchpad Janitor cve linked 2020-28974